/*
 * This file is part of a Lucent implementation of kermit
 * 
 * This software is provided in the hope that it will be 
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * It was developed within Lucent technologies and is being made available to
 * Columbia University for their public or proprietary use.
 *
 * Lucent retains the right to use, modify and further develop this software
 * and any future versions of this software.
 *
 * @author Andrew E Ellis
 */

package com.lucent.kermit;

import java.io.File;

/**
 * this interface provides entry points for an object that is controlling a
 * kermit session.
 */

public interface KermitController {

  /** getFileToReceive.. Kermit has received a file header.  The controller
   * should now send a File object that kermit will open for writing.
   *
   * Returning null indicates that it is time to end the
   * kermit session.
   */
  public File kcGetFileToReceive( Kermit kermit );

  /** sendPacket
   * Kermit uses this to send packets to the peer
   */
  public void kcWrite( Kermit kermit, byte[] packet );
}
